package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * OMS退货入库TOC业务主表(BusidataTocreturns)实体类
 *
 * @author makejava
 * @since 2024-03-14 14:48:01
 */
public class BusidataTocreturnsEntity extends BaseEntity {

    private String actualRefundAmount;
    private String checkTime;
    private String createdTime;
    private String customerNo;
    private String fenxiaoNick;
    private String flagName;
    private String goodsCount;
    private String logisticsId;
    private String logisticsName;
    private String logisticsNo;
    private String modified;
    private String operatorName;
    private String orderNo;
    private String processStatus;
    private String reason;
    private String reasonId;
    private String refundAmount;
    private String refundNo;
    private String remark;
    private String seqNo;
    private String shopId;
    private String shopName;
    private String shopNo;
    private String shopPlatformId;
    private String shopRemark;
    private String srcOrderId;
    private String status;
    private String stockinId;
    private String subPlatformId;
    private String tidList;
    private String totalGoodsStockinNum;
    private String totalPrice;
    private String tradeNoList;
    private String warehouseId;
    private String warehouseName;
    private String warehouseNo;

    /**
     * 生成的业务月份
     */
    private String business_month;

    /**
     * 生成的业务日期
     */
    private String business_date;

    public String getBusiness_month() {
        return business_month;
    }

    public void setBusiness_month(String business_month) {
        this.business_month = business_month;
    }

    public String getBusiness_date() {
        return business_date;
    }

    public void setBusiness_date(String business_date) {
        this.business_date = business_date;
    }

    public String getActualRefundAmount() {
        return actualRefundAmount;
    }

    public void setActualRefundAmount(String actualRefundAmount) {
        this.actualRefundAmount = actualRefundAmount;
    }

    public String getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    public String getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(String createdTime) {
        this.createdTime = createdTime;
    }

    public String getCustomerNo() {
        return customerNo;
    }

    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo;
    }

    public String getFenxiaoNick() {
        return fenxiaoNick;
    }

    public void setFenxiaoNick(String fenxiaoNick) {
        this.fenxiaoNick = fenxiaoNick;
    }

    public String getFlagName() {
        return flagName;
    }

    public void setFlagName(String flagName) {
        this.flagName = flagName;
    }

    public String getGoodsCount() {
        return goodsCount;
    }

    public void setGoodsCount(String goodsCount) {
        this.goodsCount = goodsCount;
    }

    public String getLogisticsId() {
        return logisticsId;
    }

    public void setLogisticsId(String logisticsId) {
        this.logisticsId = logisticsId;
    }

    public String getLogisticsName() {
        return logisticsName;
    }

    public void setLogisticsName(String logisticsName) {
        this.logisticsName = logisticsName;
    }

    public String getLogisticsNo() {
        return logisticsNo;
    }

    public void setLogisticsNo(String logisticsNo) {
        this.logisticsNo = logisticsNo;
    }

    public String getModified() {
        return modified;
    }

    public void setModified(String modified) {
        this.modified = modified;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getReasonId() {
        return reasonId;
    }

    public void setReasonId(String reasonId) {
        this.reasonId = reasonId;
    }

    public String getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(String refundAmount) {
        this.refundAmount = refundAmount;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSeqNo() {
        return seqNo;
    }

    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getShopNo() {
        return shopNo;
    }

    public void setShopNo(String shopNo) {
        this.shopNo = shopNo;
    }

    public String getShopPlatformId() {
        return shopPlatformId;
    }

    public void setShopPlatformId(String shopPlatformId) {
        this.shopPlatformId = shopPlatformId;
    }

    public String getShopRemark() {
        return shopRemark;
    }

    public void setShopRemark(String shopRemark) {
        this.shopRemark = shopRemark;
    }

    public String getSrcOrderId() {
        return srcOrderId;
    }

    public void setSrcOrderId(String srcOrderId) {
        this.srcOrderId = srcOrderId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStockinId() {
        return stockinId;
    }

    public void setStockinId(String stockinId) {
        this.stockinId = stockinId;
    }

    public String getSubPlatformId() {
        return subPlatformId;
    }

    public void setSubPlatformId(String subPlatformId) {
        this.subPlatformId = subPlatformId;
    }

    public String getTidList() {
        return tidList;
    }

    public void setTidList(String tidList) {
        this.tidList = tidList;
    }

    public String getTotalGoodsStockinNum() {
        return totalGoodsStockinNum;
    }

    public void setTotalGoodsStockinNum(String totalGoodsStockinNum) {
        this.totalGoodsStockinNum = totalGoodsStockinNum;
    }

    public String getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(String totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getTradeNoList() {
        return tradeNoList;
    }

    public void setTradeNoList(String tradeNoList) {
        this.tradeNoList = tradeNoList;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseNo() {
        return warehouseNo;
    }

    public void setWarehouseNo(String warehouseNo) {
        this.warehouseNo = warehouseNo;
    }

}